# How to contribute

We're excited you're considering contributing to our project! Your patches are essential to keeping our SDKs bug free and up-to-date. We want to keep it as easy as possible to contribute. There are only a few guidelines you must follow that will allow us to keep up with pull requests and maintain a high quality code base.

## Getting Started

* Make sure you have a [GitHub account](https://github.com/signup/free)
* Make sure you have a [HelloSign account](http://www.hellosign.com)
* Submit a new [issue ticket](https://github.com/HelloFax/hellosign-ruby-sdk/issues), assuming one does not already exist.
  * Clearly describe the issue including steps to reproduce when it is a bug.
  * Make sure to include the version you are using which has the issue (and confirm that the issue you are having has not been fixed in a later version)
* Fork the repository on GitHub

## Making Changes

* Make commits of logical units.
* Check for unnecessary whitespace with `git diff --check` before committing.
* Make sure your commit messages are in [the proper format](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html).
* Make sure you have added any necessary tests for your changes.
* Run all unit tests, if available, to ensure nothing else was accidentally broken.

### Making trivial changes

For changes of a trivial nature to comments and documentation, it is not
always necessary to create a new issue ticket.

## Submitting Changes

* Push your changes to your fork of the repository.
* Submit a pull request to the repository in the HelloFax organization.
* Update your issue ticket to mark that you have submitted code and are ready for it to be reviewed (Status: Ready for Merge).
  * Include a link to the pull request in the ticket.
* The HelloSign dev team looks at Pull Requests on a regular basis.
* After feedback has been given we expect responses within two weeks. After two
  weeks we may close the pull request if it isn't showing any activity.

# Additional Resources

* [General GitHub documentation](http://help.github.com/)
* [GitHub pull request documentation](http://help.github.com/send-pull-requests/)
* [HelloSign API documentation](https://app.hellosign.com/api/documentation)
* [HelloSign API HipChat room](https://www.hipchat.com/gq4BMFKt1)
